"use strict";

exports.__esModule = true;
exports["default"] = void 0;
var Setters = exports["default"] = /*#__PURE__*/function () {
  function Setters() {
    this.setterMap = new Map();
  }
  var _proto = Setters.prototype;
  _proto.getSetterMap = function getSetterMap() {
    return new Map(this.setterMap);
  };
  _proto.innerGetSetterMap = function innerGetSetterMap() {
    return this.setterMap;
  };
  _proto.register = function register(setters) {
    var _this = this;
    setters.map(function (setter) {
      if (_this.setterMap.has(setter.name)) {
        console.warn("\u8BBE\u7F6E\u5668 " + setter.name + " \u5DF2\u7ECF\u5B58\u5728\uFF0C\u73B0\u5728\u5C06\u8986\u76D6\u5DF2\u6709\u7684");
      }
      _this.setterMap.set(setter.name, setter);
    });
  };
  return Setters;
}();